%define	name	dcraw
%define	version	0.20030928
%define	release	2mdk

Name:		%name
Version:	%version
Release:	%release
Summary:	Reads the raw image formats of more than 70 digital cameras
Group:		Graphics
URL:		http://www.cybercom.net/~dcoffin/dcraw/
Source0:	http://www.cybercom.net/~dcoffin/dcraw/dcraw.c.bz2
Source1:	http://www.cybercom.net/~dcoffin/dcraw/ljpeg_decode.tar.bz2
Source2:	http://www.cybercom.net/~dcoffin/dcraw/rawphoto.c.bz2
Source3:	http://www.cybercom.net/~dcoffin/dcraw/.badpixels.bz2
Source4:	http://www.cybercom.net/~dcoffin/dcraw/dcraw.1.bz2
Source5:	http://www.cybercom.net/~dcoffin/dcraw/dcwrap.bz2
Source6:	http://www.cybercom.net/~dcoffin/dcraw/parse.c.bz2
Source7:	http://www.cybercom.net/~dcoffin/dcraw/fixdates.c.bz2
Source8:	http://www.cybercom.net/~dcoffin/dcraw/decompress.c.bz2
Source9:	http://www.cybercom.net/~dcoffin/dcraw/pgm.c.bz2
Source10:	http://neuemuenze.heim1.tu-clausthal.de/~sven/crwinfo/CRWInfo-0.2.tar.bz2
Source11:	http://www.cybercom.net/~dcoffin/dcraw/fujiturn.c.bz2
# This is a copy of the dcraw home page with camera list, usage info, FAQ,
# ...
Source100:	http://www.cybercom.net/~dcoffin/dcraw/dcraw.html.bz2
# Remove multiple-line string constant from crwinfo.c, gcc cannot handle it
Patch0:		crwinfo-help.patch.bz2
License:	Distributable
# Having these programs is highly recommended
Requires:	libjpeg-progs jhead metacam
BuildRequires:	gimp-devel
Buildroot:	%_tmppath/%name-%version-%release-root

%description

Reads and processes raw images from more than 70 digital cameras.

Raw images are the data directly read from the CCD of the camera,
without in-camera processing, without lossy JPEG compression, and in
36 or 48 bits color depth (TIFF has 24 bits). Problem of the raw
images is that they are in proprietary, camera-specific formats as
once, there seems not to be a standard format for high-color-depth
images, and second, the raw images contain headers with information
about camera settings.

This is a collection of command line tools to read and convert the raw
image files and also to get camera setting information out of them.

Please read the /usr/share/doc/%{name}-%{version}/dcraw.html file (all
programs mentioned in this file are included with this package and the
dcraw-gimp package) and the man page ("man dcraw").

Install also dcraw-gimp if you want to be able to load raw image files
directly into the GIMP.

This program does not download the files from the camera, it only
processes the already downloaded files. Depending on your camera
model, mount your camera as a USB mass-storage device, use GPhoto2
("gtkam", "flphoto", "gphoto2"), or a flash card reader for
downloading the files.


%package gimp
Summary: 	A GIMP plug-in to load raw image files of digital cameras.
Group: 		Graphics
Requires: 	gimp dcraw
 
%description gimp

GIMP plug-in to load all raw image files of digital cameras supported by
the dcraw package. This allows direct editing of the original images of
the camera, without any conversion or compression loss.



%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
mkdir $RPM_BUILD_DIR/%{name}-%{version}
mkdir $RPM_BUILD_DIR/%{name}-%{version}/gimp
cd $RPM_BUILD_DIR/%{name}-%{version}

bzcat %{SOURCE0} > dcraw.c
bzcat %{SOURCE2} > gimp/rawphoto.c
bzcat %{SOURCE3} > .badpixels
bzcat %{SOURCE4} > dcraw.1
bzcat %{SOURCE5} > dcwrap
bzcat %{SOURCE6} > parse.c
bzcat %{SOURCE7} > fixdates.c
bzcat %{SOURCE8} > decompress.c
bzcat %{SOURCE9} > pgm.c
bzcat %{SOURCE11} > fujiturn.c
bzcat %{SOURCE100} > dcraw.html
%setup -q -T -D -a 1 -n %{name}-%{version}
cd ljpeg_decode
ln -s ../dcraw.c .
cd ..
%setup -q -T -D -a 10 -n %{name}-%{version}
cd CRWInfo*
%patch0 -p0
cd ..

%build
cd $RPM_BUILD_DIR/%{name}-%{version}

# Build simple C programs
for file in *.c; do
   gcc ${CFLAGS:-%optflags} -lm -o ${file%.c} $file
done

# Build GIMP plug-in
gimptool --build gimp/rawphoto.c

# Build programs provided in tarballs
cd CRWInfo*
%make
cd ..

cd ljpeg_decode
%make
cd ..

%install
cd $RPM_BUILD_DIR/%{name}-%{version}

# Directories
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_docdir}/%{name}-%{version}
install -d %{buildroot}%{_libdir}/gimp/1.2/plug-ins

# Program files
install -m 755 ljpeg_decode/dcraw %{buildroot}%{_bindir}
install -m 755 decompress %{buildroot}%{_bindir}
install -m 755 fixdates %{buildroot}%{_bindir}
install -m 755 fujiturn %{buildroot}%{_bindir}
install -m 755 parse %{buildroot}%{_bindir}
install -m 755 pgm %{buildroot}%{_bindir}
install -m 755 rawphoto %{buildroot}%{_libdir}/gimp/1.2/plug-ins
install -m 755 CRWInfo*/crwinfo %{buildroot}%{_bindir}

# Documentation
install -m 644 dcraw.1 %{buildroot}%{_mandir}/man1
install -m 644 dcraw.html %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 .badpixels %{buildroot}%{_docdir}/%{name}-%{version}/badpixels
install -m 644 CRWInfo*/README %{buildroot}%{_docdir}/%{name}-%{version}/README.crwinfo
install -m 644 CRWInfo*/spec %{buildroot}%{_docdir}/%{name}-%{version}/spec.crwinfo

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}
%_bindir/*
%_mandir/man1/*
%_docdir/*

%files gimp
%defattr(-,root,root)
%{_libdir}/gimp/1.2/plug-ins/*

%changelog
* Sun Sep 28 2003 Till Kamppeter <till@mandrakesoft.com> 0.20030928-2mdk
- Fixed patch to correct crwinfo help text.

* Sun Sep 28 2003 Till Kamppeter <till@mandrakesoft.com> 0.20030928-1mdk
- First release for Mandrake Linux
